SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

-- --------------------------------------------------------

--
-- Table structure for table `core_access`
--

CREATE TABLE `core_access` (
  `id` int(11) NOT NULL,
  `role_id` smallint(5) NOT NULL,
  `resource_id` int(11) NOT NULL,
  `access_level` tinyint(3) NOT NULL DEFAULT '0' COMMENT 'No access: 0; Access granted: 1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `core_access`
--

INSERT INTO `core_access` (`id`, `role_id`, `resource_id`, `access_level`) VALUES
(1, 1, 1, 1),
(2, 2, 1, 0),
(3, 3, 1, 0),
(4, 1, 2, 1),
(5, 2, 2, 0),
(6, 3, 2, 0),
(7, 1, 3, 1),
(8, 2, 3, 0),
(9, 3, 3, 0),
(10, 1, 4, 1),
(11, 2, 4, 0),
(12, 3, 4, 0),
(13, 1, 5, 1),
(14, 2, 5, 0),
(15, 3, 5, 0),
(16, 1, 6, 1),
(17, 2, 6, 1),
(18, 3, 6, 1),
(19, 1, 7, 1),
(20, 2, 7, 1),
(21, 3, 7, 1),
(22, 1, 8, 1),
(23, 2, 8, 1),
(24, 3, 8, 1),
(25, 1, 9, 1),
(26, 2, 9, 1),
(27, 3, 9, 1),
(28, 1, 10, 1),
(29, 2, 10, 1),
(30, 3, 10, 1),
(31, 1, 11, 1),
(32, 2, 11, 1),
(33, 3, 11, 1);

-- --------------------------------------------------------

--
-- Table structure for table `core_alias`
--

CREATE TABLE `core_alias` (
  `id` int(11) NOT NULL,
  `resource_id` int(11) NOT NULL,
  `source` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `depth` tinyint(3) NOT NULL COMMENT 'Number of url parts separated by slashes',
  `source_status` tinyint(3) NOT NULL DEFAULT '0' COMMENT '0: source url will not work (no duplicates); 1: source url will work'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `core_block`
--

CREATE TABLE `core_block` (
  `id` tinyint(3) NOT NULL,
  `block_code` varchar(30) NOT NULL COMMENT 'Usually same as source module item code e.g. mainMenu',
  `building_module` varchar(30) NOT NULL,
  `display_method` varchar(30) NOT NULL,
  `type` varchar(30) NOT NULL,
  `region_code` varchar(30) NOT NULL,
  `rank` tinyint(3) NOT NULL COMMENT 'Order of blocks in region',
  `uri` varchar(60) NOT NULL COMMENT 'Path to some custom block building Class, which is not located in GlobalCore module code. Uri is meaning here shortly unique resource identifier. In current context and system uri is not referring to some strict worldwide standard.',
  `status` tinyint(3) NOT NULL DEFAULT '1' COMMENT '0: not in use (passive); 1: in use (active)',
  `language_code` varchar(15) NOT NULL DEFAULT 'en'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `core_block`
--

INSERT INTO `core_block` (`id`, `block_code`, `building_module`, `display_method`, `type`, `region_code`, `rank`, `uri`, `status`, `language_code`) VALUES
(1, 'appUserArea', 'GlobalCore', 'buildUserBlock', 'User', 'userArea', 1, '', 1, 'en'),
(2, 'coreFrontPage', 'GlobalCore', 'getFrontPage', 'coreFrontPage', 'frontPage', 1, '', 1, 'en'),
(3, 'coreFooterArea', 'GlobalCore', 'buildFooterArea', 'footerArea', 'footerArea', 1, '', 1, 'en');

-- --------------------------------------------------------

--
-- Table structure for table `core_caching`
--

CREATE TABLE `core_caching` (
  `id` int(11) NOT NULL,
  `resource_id` int(11) NOT NULL DEFAULT '0',
  `role_id` smallint(5) NOT NULL DEFAULT '2',
  `cache_content` longtext NOT NULL,
  `last_change_time` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for last change (for last time, when cache_content was rewritten)',
  `period` mediumint(7) NOT NULL DEFAULT '0' COMMENT 'Changing period in seconds (when cache_content will be rewritten)'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `core_config`
--

CREATE TABLE `core_config` (
  `id` smallint(5) NOT NULL,
  `module_name` varchar(30) NOT NULL,
  `description` varchar(510) NOT NULL DEFAULT '',
  `uri` varchar(60) NOT NULL DEFAULT '' COMMENT 'Uri is meaning here shortly unique resource identifier. In current context and system uri is not referring to some strict worldwide standard.',
  `type` varchar(30) NOT NULL DEFAULT '' COMMENT 'Type can be used to group config entries or for other purposes.',
  `value` varchar(2000) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `core_config`
--

INSERT INTO `core_config` (`id`, `module_name`, `description`, `uri`, `type`, `value`) VALUES
(1, 'GlobalCore', 'Site wide cache expiring period in minutes. The initial cache expiring period is determined in root directory in file config.php. If current config value is set (is an integer value), then it overwrites the period value, which is determined in config.php file.', 'cachePeriod', 'Caching', '60'),
(2, 'GlobalCore', 'Site wide default tags inside html head tag.', 'headTags', 'ThemeHead', '<script type=\"text/javascript\" src=\"[baseUrl]/misc/vendor/jquery/jquery-3.4.1.slim.min.js\"></script><script type=\"text/javascript\" src=\"[baseUrl]/misc/vendor/jquery/jquery-ui-1.12.1.custom/jquery-ui.js\"></script>\n'),
(3, 'GlobalCore', 'Site wide default other group 1 custom tags, which can be used inside html head or body tag (e.g. additional meta tags or some search engine tracking script tag). If value is [off], then no resources will be used to search for such tags.', 'otherTags1', 'Theme', ''),
(4, 'GlobalCore', 'Site wide default other group 2 custom tags, which can be used inside html head or body tag (e.g. some search engine tracking script tag). If value is [off], then no resources will be used to search for such tags.', 'otherTags2', 'Theme', ''),
(5, 'GlobalCore', 'Default site wide description. Use in value field meta tag format: <meta name=\"description\" content=\"[Your description here without square brackets]\">. If value is empty, then no description tag will be added.', 'metaDescription', 'ThemeHead', ''),
(6, 'GlobalCore', 'Path, that determines the location of favicon.ico image file for the website. E.g. [baseUrl]/misc/input/themes/default/favicon.ico. If value is empty, then no favicon tag will be used. Example value: [baseUrl]/misc/input/themes/default/favicon.ico.', 'faviconPath', 'ThemeHead', ''),
(7, 'GlobalCore', 'Custom configuration option, which can be used in themes. If value is empty, then no custom configuration will be used.', 'customValue', 'ThemeBody', ''),
(8, 'GlobalCore', 'Link tag for favicon. E.g. &lt;link rel=&quot;shortcut icon&quot; href=&quot;[baseUrl]/misc/input/themes/default/favicon.ico&quot;&gt;', 'faviconImage', 'ThemeHead', ''),
(9, 'GlobalCore', 'Logo image tag for common theme cases. If this value is empty, then no logo image will be used. E.g. &lt;img src=\"[baseUrl]/misc/input/themes/default/new-website-logo.png\" alt=\"[siteName] Logo\" width=\"60\" height=\"60\"&gt;', 'logoImage', 'ThemeBody', ''),
(10, 'GlobalCore', 'Second logo image tag for cases whenever two logo images are needed at the same time. It can be used for example for mobile-friendly theme views. If this value is empty, then no second logo image will be used. E.g. &lt;img src=\"[baseUrl]/misc/input/themes/default/new-website-logo-mobile.png\" alt=\"[siteName] Logo\" width=\"48\" height=\"48\"&gt;', 'smallLogoImage', 'ThemeBody', ''),
(11, 'GlobalCore', 'Site name image tag, which would replace site name as text. If this config value is empty, then site name as text will be used. Example value: &lt;img src=\"[baseUrl]/misc/input/themes/default/new-website-name.png\" alt=\"[siteName]\"  class=\"site-name-image\"&gt;.', 'siteNameImage', 'ThemeBody', ''),
(12, 'GlobalCore', 'Second site name image tag, which would replace site name as text. It can be used for example for mobile-friendly theme views. If this config value is empty, then site name as text will be used. Example value: &lt;img src=\"[baseUrl]/misc/input/themes/default/new-website-name-mobile.png\" alt=\"[siteName]\"  class=\"site-name-image\"&gt;.', 'smallSiteNameImage', 'ThemeBody', ''),
(13, 'GlobalCore', 'Site wide default footer area content. E.g. &#39;Copyright [Year] by Your Company Name LTD&#39;. Token [Year] is a place holder, which will be automatically replaced by current year.', 'coreFooterArea', 'ThemeBody', '<a href=\"http://www.allmice.com/cms\">Powered by Allmice CMS (www.allmice.com/cms)</a>'),
(14, 'GlobalCore', 'Site wide main language codes. Config value format is \"code;code2\". Code part of the format is meaning usually two digit ISO 639-1 code for HTML tags. Code2 part of the format is meaning other more specific language code to distinguish different language dialects. E.g. IETF code en-GB for British English. If there is no need to use such specific language code, then code2 should be equal to code.', 'mainLanguage', 'Language', 'en;en'),
(15, 'GlobalCore', 'Site wide default language data. This data overwrites the mainLanguage config entry for roles specified here. Config value format is \"code;code2;role-1[;...;role-n]\". Code part of the format is meaning usually two digit ISO 639-1 code for HTML tags. Code2 part of the format is meaning other more specific language code to distinguish different language dialects. E.g. IETF code en-GB for British English. If there is no need to use such specific language code, then code2 should be equal to code.', 'defaultLanguage', 'Language', 'en;en;anonymous'),
(16, 'App', 'Choose whether to show or not paginator widget. Possible options are: on, off or onDemand. The option onDemand is meaning that the widget will be shown only if there are several result pages (more than one).', 'displayPaginatorSwitch', 'paginator', 'onDemand'),
(17, 'App', 'Maximum number of items on page.', 'itemsOnPage', 'paginator', '20'),
(18, 'App', 'Maximum number of page ranges in the drop-down list.', 'maxRanges', 'paginator', '30'),
(19, 'App', 'Turns alias functionality for every entry on or off.', 'aliasCheckSwitch', 'paginator', 'on'),
(20, 'App', 'This configuration value determines how to display paginator search result for content, for which current user role has no access right. Possible values are skip, skip&order, empty and full. Value skip will not show the result without access right at all; empty shows such result as empty rows; full shows it in the same way as other result, but clicking on link user would still not see the content; skip&order (or any unknown value) is similar to skip, but supports ordering search content.', 'accessRightMethod', 'paginator', 'skip&order'),
(21, 'App', 'Choose whether to show or not captcha widget. Possible values on or off. If the value is off, then form submission against bots is still protected by checking a session value.', 'displayWidgetSwitch', 'captcha', 'on'),
(22, 'App', 'Cipher method for openssl_encrypt function. Different PHP versions may not support the same cipher method. If this value is not a supported cipher method, then captcha widget will not be used, but there will still be a session value checking protection.', 'method', 'captcha', 'aes-256-ctr'),
(23, 'App', 'Secret key string to encrypt the captcha code for the url query part of images.', 'key', 'captcha', ''),
(24, 'App', 'Another secret value. If openssl_encrypt PHP function will be used, then this is iv (Initialization Vector) parameter, which length may be different in case of different cipher methods. If this value is empty, then iv parameter will not be used.', 'key2', 'captcha', 'agTn0IsEbaF4kZa3'),
(25, 'App', 'Width of captcha image.', 'width', 'captcha', '160'),
(26, 'App', 'Height of captcha image.', 'height', 'captcha', '60'),
(27, 'App', 'Angle of captcha text.', 'angle', 'captcha', '10'),
(28, 'App', 'Font size of captcha text.', 'fontSize', 'captcha', '0'),
(29, 'App', 'Text color for captcha image as six digit hexadecimal color code.', 'textColor', 'captcha', '#646464'),
(30, 'App', 'Background noise color for captcha image as six digit hexadecimal color code.', 'noiseColor', 'captcha', '#AFAFAF'),
(31, 'App', 'Background color for captcha image as six digit hexadecimal color code.', 'bgColor', 'captcha', '#FFFFFF'),
(32, 'App', 'Path for font, which will be used to draw text to the captcha image.', 'fontPath', 'captcha', '/usr/share/fonts/truetype/verdana/Verdana.ttf'),
(152, 'GlobalCore', 'Session inactivity lifetime in minutes. The initial value is determined in root directory in file config.php. If current config value is set (is an integer value), then it overwrites the value, which is determined in config.php file.', 'sessLifetime', 'Session', '120'),
(153, 'GlobalCore', 'Database cleaning period of session entries in days. The initial value is determined in root directory in file config.php. If current config value is set (is an integer value), then it overwrites the value, which is determined in config.php file.', 'dbCleaningPeriod', 'Session', '30'),
(154, 'GlobalCore', 'Site wide main date format (see also mainTimeFormat). Suggested to use for main language. To understand how to change the value, see the URL http://php.net/manual/en/datetime.formats.date.php. The default date was chosen according to ISO 8601 standard.', 'mainDateFormat', 'Language', 'Y-m-d'),
(155, 'GlobalCore', 'Site wide main time format (see also mainDateFormat). Suggested to use for main language. To understand how to change the value, see the URL http://php.net/manual/en/datetime.formats.date.php. The default date was chosen according to ISO 8601 standard.', 'mainTimeFormat', 'Language', 'Y-m-d H:i'),
(156, 'GlobalCore', 'Site wide default date format (see also defaultTimeFormat). Suggested to use for default language. This value overwrites corresponding main format. To understand how to change the value, see the URL http://php.net/manual/en/datetime.formats.date.php. The default date was chosen according to ISO 8601 standard.', 'defaultDateFormat', 'Language', 'Y-m-d'),
(157, 'GlobalCore', 'Site wide default time format (see also defaultDateFormat). Suggested to use for default language. This value overwrites corresponding main format. To understand how to change the value, see the URL http://php.net/manual/en/datetime.formats.date.php. The default date was chosen according to ISO 8601 standard.', 'defaultTimeFormat', 'Language', 'Y-m-d H:i'),
(158, 'GlobalCore', 'Site wide main time format without date (see also mainTimeFormat). Suggested to use for main language. To understand how to change the value, see the URL http://php.net/manual/en/datetime.formats.date.php. The default date was chosen according to ISO 8601 standard.', 'mainShortTimeFormat', 'Language', 'H:i'),
(159, 'GlobalCore', 'Site wide default time format without date (see also defaultTimeFormat). Suggested to use for default language. This value overwrites corresponding main format. To understand how to change the value, see the URL http://php.net/manual/en/datetime.formats.date.php.', 'defaultShortTimeFormat', 'Language', 'H:i');

-- --------------------------------------------------------

--
-- Table structure for table `core_language`
--

CREATE TABLE `core_language` (
  `id` int(11) NOT NULL,
  `language_code` varchar(15) NOT NULL DEFAULT 'en' COMMENT 'Two character code (ISO 639-1) or some other code',
  `type` tinyint(3) NOT NULL DEFAULT '22' COMMENT '11: global block; 21: local form; 22: local other',
  `module_name` varchar(30) NOT NULL DEFAULT '',
  `specific_name` varchar(30) NOT NULL DEFAULT '' COMMENT 'Event name, block name, etc.',
  `uri` varchar(60) NOT NULL DEFAULT '' COMMENT 'Another more specific identifier of the language phrase. Uri is meaning here shortly unique resource identifier. In current context and system uri is not referring to some strict worldwide standard.',
  `text` varchar(510) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `core_language`
--

INSERT INTO `core_language` (`id`, `language_code`, `type`, `module_name`, `specific_name`, `uri`, `text`) VALUES
(2, 'en', 11, 'GlobalCore', 'siteName', 'siteName', 'Welcome!'),
(3, 'en', 21, 'AppUser', 'indexEvent', 'label/username', 'Username: '),
(4, 'en', 21, 'AppUser', 'indexEvent', 'label/password', 'Password: '),
(5, 'en', 21, 'AppUser', 'indexEvent', 'value/login', 'Log in'),
(6, 'en', 21, 'AppUser', 'indexEvent', 'value/logout', 'Log out'),
(7, 'en', 22, 'AppUser', 'indexEvent', 'label', 'User:'),
(8, 'en', 21, 'AppUser', 'loginEvent', 'label/username', 'Username:'),
(9, 'en', 21, 'AppUser', 'loginEvent', 'label/password', 'Password:'),
(10, 'en', 21, 'AppUser', 'loginEvent', 'value/login', 'Log in'),
(11, 'en', 21, 'AppUser', 'loginEvent', 'value/logout', 'Log out'),
(12, 'en', 22, 'AppUser', 'loginEvent', 'label', 'User:'),
(13, 'en', 22, 'AppUser', 'logoutEvent', 'textLogout', 'User was logged out.'),
(14, 'en', 22, 'App', 'indexEvent', 'title', 'Links for Managing Modules'),
(15, 'en', 22, 'App', 'indexEvent', 'linkApp', 'App module functionality'),
(16, 'en', 22, 'App', 'indexEvent', 'linkAccess', 'Manage Access'),
(17, 'en', 22, 'App', 'indexEvent', 'linkIns', 'Install Modules'),
(18, 'en', 22, 'App', 'indexEvent', 'linkUnins', 'Uninstall Modules'),
(19, 'en', 21, 'App', 'installModulesEvent', 'value/save', 'Install checked modules'),
(20, 'en', 22, 'App', 'installModulesEvent', 'tb1ModTitle', 'Module title'),
(21, 'en', 22, 'App', 'installModulesEvent', 'tb1ModDesc', 'Module description'),
(22, 'en', 22, 'App', 'installModulesEvent', 'tb1ModClassName', 'Module Class name'),
(23, 'en', 22, 'App', 'installModulesEvent', 'tb1ModVersion', 'Module version'),
(24, 'en', 22, 'App', 'installModulesEvent', 'tb1ModTime', 'Module release time'),
(25, 'en', 22, 'App', 'installModulesEvent', 'title', 'Install Modules'),
(26, 'en', 22, 'App', 'installModulesEvent', 'link1', 'Administrator menu'),
(27, 'en', 22, 'App', 'installModulesEvent', 'text1Access', 'After installing modules you need to assign access rights (permissions) for roles to access these modules.'),
(28, 'en', 22, 'App', 'installModulesEvent', 'text2Access', 'Go to following page to assign permissions:'),
(29, 'en', 22, 'App', 'installModulesEvent', 'link2', 'Manage access'),
(30, 'en', 22, 'App', 'installModulesEvent', 'tb1Title', 'Uninstalled modules'),
(31, 'en', 22, 'App', 'installModulesEvent', 'tb2Title', 'Installed modules'),
(32, 'en', 22, 'App', 'installModulesEvent', 'text3NoUninsMod', 'There are no uninstalled modules.'),
(33, 'en', 22, 'App', 'installModulesEvent', 'text4NoInsMod', 'There are no installed modules.'),
(34, 'en', 21, 'App', 'uninstallModulesEvent', 'value/login', 'Install checked modules'),
(35, 'en', 21, 'App', 'uninstallModulesEvent', 'value/save', 'Uninstall checked modules'),
(36, 'en', 22, 'App', 'uninstallModulesEvent', 'title', 'Uninstall Modules'),
(37, 'en', 22, 'App', 'uninstallModulesEvent', 'link1', 'Administrator menu'),
(38, 'en', 22, 'App', 'uninstallModulesEvent', 'tb1Title', 'Uninstalled modules'),
(39, 'en', 22, 'App', 'uninstallModulesEvent', 'tb2Title', 'Installed modules'),
(40, 'en', 22, 'App', 'uninstallModulesEvent', 'text3NoUninsMod', 'There are no uninstalled modules.'),
(41, 'en', 22, 'App', 'uninstallModulesEvent', 'text4NoInsMod', 'There are no installed modules.'),
(42, 'en', 22, 'App', 'uninstallModulesEvent', 'tb1ModTitle', 'Module title'),
(43, 'en', 22, 'App', 'uninstallModulesEvent', 'tb1ModDesc', 'Module description'),
(44, 'en', 22, 'App', 'uninstallModulesEvent', 'tb1ModClassName', 'Module class name'),
(45, 'en', 22, 'App', 'uninstallModulesEvent', 'tb1ModVersion', 'Module version'),
(46, 'en', 22, 'App', 'uninstallModulesEvent', 'tb1ModTime', 'Module release time'),
(47, 'en', 21, 'App', 'manageAccessEvent', 'label/modId', 'Select module:'),
(48, 'en', 21, 'App', 'manageAccessEvent', 'label/roleId', 'Select role:'),
(49, 'en', 21, 'App', 'manageAccessEvent', 'value/save', 'Save changes'),
(50, 'en', 22, 'App', 'manageAccessEvent', 'title', 'Manage Access Rights'),
(51, 'en', 22, 'App', 'manageAccessEvent', 'link1', 'Administrator menu'),
(52, 'en', 22, 'App', 'manageAccessEvent', 'text1selMod', 'Select module:'),
(53, 'en', 22, 'App', 'manageAccessEvent', 'text2selMod', 'Select the module, for which you wish to grant displaying access right.'),
(54, 'en', 22, 'App', 'manageAccessEvent', 'text3selRole', 'Select role:'),
(55, 'en', 22, 'App', 'manageAccessEvent', 'text4selRole', 'Choose the role, for which you wish to assing content displaying access right.'),
(56, 'en', 22, 'App', 'manageAccessEvent', 'text5selCheck', 'Check the boxes below for the contents, which you wish to display for the corresponding user role.'),
(57, 'en', 22, 'App', 'manageAccessEvent', 'tb1ModName', 'Module name'),
(58, 'en', 22, 'App', 'manageAccessEvent', 'tb1ChangeAcc', 'Change access:'),
(59, 'en', 22, 'App', 'manageAccessEvent', 'tb1YesNo', '[v]-yes/[ ]-no'),
(60, 'en', 22, 'App', 'manageAccessEvent', 'tb1Event', 'Event name'),
(61, 'en', 22, 'App', 'manageAccessEvent', 'tb1ValidAcc', 'Valid access'),
(62, 'en', 11, 'AppUser', 'appUserArea', 'link/login', 'Log in'),
(63, 'en', 11, 'AppUser', 'appUserArea', 'link/logout', 'Log out'),
(64, 'en', 11, 'AppUser', 'appUserArea', 'label', 'User:'),
(65, 'en', 22, 'App', 'installModulesEvent', 'tb1ModDeveloper', 'Module developer, copyright, licence, etc.'),
(66, 'en', 22, 'App', 'uninstallModulesEvent', 'tb1ModDeveloper', 'Module developer, copyright, licence, etc.');

-- --------------------------------------------------------

--
-- Table structure for table `core_misc_data`
--

CREATE TABLE `core_misc_data` (
  `id` int(11) NOT NULL,
  `integer_value` int(11) NOT NULL DEFAULT '0',
  `module_name` varchar(30) NOT NULL DEFAULT '',
  `uri` varchar(60) NOT NULL DEFAULT '',
  `type` varchar(30) NOT NULL DEFAULT '',
  `value` varchar(2000) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `core_module`
--

CREATE TABLE `core_module` (
  `id` smallint(5) NOT NULL,
  `name` varchar(30) NOT NULL COMMENT 'Computer identifier for the module',
  `title` varchar(30) NOT NULL DEFAULT '' COMMENT 'Human readable title for the module',
  `description` varchar(510) NOT NULL DEFAULT '',
  `path` varchar(30) NOT NULL DEFAULT '' COMMENT 'Part of URL',
  `config_path` varchar(60) NOT NULL DEFAULT '',
  `code_path` varchar(60) NOT NULL DEFAULT '',
  `type` tinyint(3) NOT NULL DEFAULT '2' COMMENT '1- global; 2- local; 11- global core; 12- local core; 21- global custom; 22- local custom',
  `status` tinyint(3) NOT NULL DEFAULT '0' COMMENT '0: not installed; 1: installed',
  `db_tables` varchar(255) NOT NULL DEFAULT '',
  `required_modules` varchar(255) NOT NULL DEFAULT '',
  `version` varchar(30) NOT NULL DEFAULT '1.1.1',
  `time` int(11) NOT NULL DEFAULT '0' COMMENT 'Version publishing timestamp',
  `developer` varchar(250) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `core_module`
--

INSERT INTO `core_module` (`id`, `name`, `title`, `description`, `path`, `config_path`, `code_path`, `type`, `status`, `db_tables`, `required_modules`, `version`, `time`, `developer`) VALUES
(1, 'App', 'App', 'This module is part of Allmice CMS Core for installing websites and modules', 'app', '', 'core/modules/', 2, 0, '', '', '1.3.4', 1556155080, 'Copyright 2017 - 2019 by Any Outline LTD, www.allmice.com/cms, Allmice CMS Core code is released under the \"GNU GENERAL PUBLIC LICENSE\".'),
(2, 'AppUser', 'App User', 'This module is part of Allmice CMS Core for login and logout functionality', 'app-user', '', 'core/modules/', 2, 0, '', '', '1.3.4', 1556155080, 'Copyright 2017 - 2019 by Any Outline LTD, www.allmice.com/cms, Allmice CMS Core code is released under the \"GNU GENERAL PUBLIC LICENSE\".'),
(3, 'GlobalCore', 'Global Core', 'This module is part of Allmice CMS Core for Allmice CMS core functionality', '', '', 'core/modules/', 1, 0, '', '', '1.3.4', 1556155080, 'Copyright 2017 - 2019 by Any Outline LTD, www.allmice.com/cms, Allmice CMS Core code is released under the \"GNU GENERAL PUBLIC LICENSE\".');

-- --------------------------------------------------------

--
-- Table structure for table `core_resource`
--

CREATE TABLE `core_resource` (
  `id` int(11) NOT NULL,
  `uri` varchar(200) NOT NULL DEFAULT '' COMMENT 'Relevant if type is Event: 1 or Page: 2. Uri is meaning here shortly unique resource identifier. In current context and system uri is not referring to some strict worldwide standard.',
  `source_id` int(11) NOT NULL DEFAULT '0',
  `module_name` varchar(30) NOT NULL,
  `specific_name` varchar(30) NOT NULL COMMENT 'According to type event or region name',
  `type` tinyint(3) NOT NULL COMMENT 'None: 0; Event: 1; Page: 21; Block: 40-59 (Block: 40, Menu: 41)'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `core_resource`
--

INSERT INTO `core_resource` (`id`, `uri`, `source_id`, `module_name`, `specific_name`, `type`) VALUES
(1, '/app/index', 0, 'App', 'index', 1),
(2, '/app/install', 0, 'App', 'install', 1),
(3, '/app/install-modules', 0, 'App', 'installModules', 1),
(4, '/app/uninstall-modules', 0, 'App', 'uninstallModules', 1),
(5, '/app/manage-access', 0, 'App', 'manageAccess', 1),
(6, '/app-user/index', 0, 'AppUser', 'index', 1),
(7, '/app-user/login', 0, 'AppUser', 'login', 1),
(8, '/app-user/logout', 0, 'AppUser', 'logout', 1),
(9, '/block/view/1', 1, 'GlobalCore', 'appUserArea', 40),
(10, '/theme/view/1', 1, 'GlobalCore', 'AllmiceDefault', 60),
(11, '/block/view/3', 3, 'GlobalCore', 'coreFooterArea', 40);

-- --------------------------------------------------------

--
-- Table structure for table `core_role`
--

CREATE TABLE `core_role` (
  `id` smallint(5) NOT NULL,
  `title` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `core_role`
--

INSERT INTO `core_role` (`id`, `title`) VALUES
(1, 'admin'),
(2, 'anonymous'),
(3, 'authenticated');

-- --------------------------------------------------------

--
-- Table structure for table `core_session`
--

CREATE TABLE `core_session` (
  `id` varchar(32) NOT NULL,
  `access` int(10) UNSIGNED DEFAULT NULL,
  `data` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `core_theme`
--

CREATE TABLE `core_theme` (
  `id` int(11) NOT NULL,
  `name` varchar(30) NOT NULL,
  `title` varchar(30) NOT NULL,
  `description` varchar(500) NOT NULL,
  `code_path` varchar(60) NOT NULL,
  `version` varchar(30) NOT NULL,
  `time` int(11) NOT NULL COMMENT 'Version publishing timestamp',
  `developer` varchar(250) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `core_theme`
--

INSERT INTO `core_theme` (`id`, `name`, `title`, `description`, `code_path`, `version`, `time`, `developer`) VALUES
(1, 'AllmiceDefault', 'Allmice Default Theme', 'Default theme for Allmice CMS with teal color shades and fixed navibar. This is a mobile-friendly theme.', 'core/themes/', '1.7.1', 1574136840, 'Copyright 2018 - 2019 by Any Outline LTD, www.allmice.com/cms, Allmice Default Theme is released under the \"GNU GENERAL PUBLIC LICENSE\".');

-- --------------------------------------------------------

--
-- Table structure for table `core_user`
--

CREATE TABLE `core_user` (
  `id` int(11) NOT NULL,
  `active_role_id` smallint(5) NOT NULL,
  `username` varchar(60) NOT NULL,
  `password` varchar(150) NOT NULL,
  `mail` varchar(60) NOT NULL,
  `status` tinyint(3) NOT NULL DEFAULT '1' COMMENT '1: passive; 2: active'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `core_user`
--

INSERT INTO `core_user` (`id`, `active_role_id`, `username`, `password`, `mail`, `status`) VALUES
(0, 2, 'anonymous', '', '', 2),
(1, 1, 'admin', '[replacePassword]', 'example@allmice.com', 2);

-- --------------------------------------------------------

--
-- Table structure for table `core_user_role`
--

CREATE TABLE `core_user_role` (
  `user_id` int(11) NOT NULL,
  `role_id` smallint(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `core_user_role`
--

INSERT INTO `core_user_role` (`user_id`, `role_id`) VALUES
(1, 1),
(0, 2);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `core_access`
--
ALTER TABLE `core_access`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `core_alias`
--
ALTER TABLE `core_alias`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `core_block`
--
ALTER TABLE `core_block`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `core_caching`
--
ALTER TABLE `core_caching`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `core_config`
--
ALTER TABLE `core_config`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `core_language`
--
ALTER TABLE `core_language`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `core_misc_data`
--
ALTER TABLE `core_misc_data`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `core_module`
--
ALTER TABLE `core_module`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `core_resource`
--
ALTER TABLE `core_resource`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `core_role`
--
ALTER TABLE `core_role`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `core_session`
--
ALTER TABLE `core_session`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `core_theme`
--
ALTER TABLE `core_theme`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `core_user`
--
ALTER TABLE `core_user`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `core_access`
--
ALTER TABLE `core_access`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=34;
--
-- AUTO_INCREMENT for table `core_alias`
--
ALTER TABLE `core_alias`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `core_block`
--
ALTER TABLE `core_block`
  MODIFY `id` tinyint(3) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `core_caching`
--
ALTER TABLE `core_caching`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `core_config`
--
ALTER TABLE `core_config`
  MODIFY `id` smallint(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=41;
--
-- AUTO_INCREMENT for table `core_language`
--
ALTER TABLE `core_language`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=66;
--
-- AUTO_INCREMENT for table `core_misc_data`
--
ALTER TABLE `core_misc_data`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
--
-- AUTO_INCREMENT for table `core_module`
--
ALTER TABLE `core_module`
  MODIFY `id` smallint(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `core_resource`
--
ALTER TABLE `core_resource`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;
--
-- AUTO_INCREMENT for table `core_role`
--
ALTER TABLE `core_role`
  MODIFY `id` smallint(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `core_theme`
--
ALTER TABLE `core_theme`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `core_user`
--
ALTER TABLE `core_user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
